import Vue from 'vue';

async function getAudioContentList(page) {
    return Vue.axios.get(
        "/creator-admin/audio-content/list?page=" + (page - 1) +
        "&size=10"
    )
}

async function searchAudioContent(searchWord, page) {
    return Vue.axios.get(
        "/creator-admin/audio-content/search?search_word=" + searchWord +
        "&page=" + (page - 1) +
        "&size=10"
    )
}

async function modifyAudioContent(formData) {
    return Vue.axios.put("/creator-admin/audio-content", formData, {
        headers: {
            "Content-Type": "multipart/form-data",
        },
    })
}

async function createAudioContent(formData) {
    return Vue.axios.post('/audio-content', formData, {
        headers: {
            "Content-Type": "multipart/form-data",
        },
    });
}

async function getAudioContentThemeList() {
    return Vue.axios.get("/audio-content/theme")
}

export {
    createAudioContent,
    getAudioContentList,
    searchAudioContent,
    modifyAudioContent,
    getAudioContentThemeList
}
